## debconf 1.5.14ubuntu1

=== Makefile ===
MUNGE=xargs perl -i.bak -ne ' \
		print $$_."\# This file was preprocessed, do not edit!\n" \
			if m:^\#!/usr/bin/perl:; \
		$$cutting=1 if /^=/; \
		$$cutting="" if /^=cut/; \
		next if /use lib/; \
		next if $$cutting || /^(=|\s*\#)/; \
		print $$_ \
	'

all: Debconf/FrontEnd/Kde/WizardUi.pm
	$(MAKE) -C doc
	$(MAKE) -C po

Debconf/FrontEnd/Kde/WizardUi.pm: Debconf/FrontEnd/Kde/WizardUi.ui
	LC_ALL=C puic $< |sed 's/package WizardUi/package Debconf::FrontEnd::Kde::WizardUi/' > $@

clean:
	find . \( -name \*~ -o -name \*.pyc -o -name \*.pyo \) | xargs rm -f
	$(MAKE) -C doc clean
	$(MAKE) -C po clean
	rm -f Debconf/FrontEnd/Kde/WizardUi.pm

# Does not attempt to install documentation, as that can be fairly system
# specific.
install: install-utils install-rest

# Anything that goes in the debconf-utils package.
install-utils:
	install -d $(prefix)/usr/bin
	find . -maxdepth 1 -perm +100 -type f -name 'debconf-*' | grep -v debconf-set-selections | grep -v debconf-show | grep -v debconf-copydb | grep -v debconf-communicate | grep -v debconf-apt-progress | grep -v debconf-escape | \
		xargs -i install {} $(prefix)/usr/bin

# Anything that goes in the debconf-i18n package.
install-i18n:
	$(MAKE) -C po install

# Install all else.
install-rest:
	install -d $(prefix)/etc \
		$(prefix)/var/cache/debconf \
		$(prefix)/usr/share/debconf \
		$(prefix)/usr/share/pixmaps
	install -m 0644 debconf.conf $(prefix)/etc/
	install -m 0644 debian-logo.png $(prefix)/usr/share/pixmaps/
	# This one is the ultimate backup copy.
	grep -v '^#' debconf.conf > $(prefix)/usr/share/debconf/debconf.conf
	# Make module directories.
	find Debconf -type d |grep -v CVS | \
		xargs -i install -d $(prefix)/usr/share/perl5/{}
	install -d $(prefix)/usr/lib/python2.3/site-packages/ \
		$(prefix)/usr/lib/python2.4/site-packages/ \
		$(prefix)/usr/lib/python2.5/site-packages/
	# Install modules.
	find Debconf -type f -name '*.pm' |grep -v CVS | \
		xargs -i install -m 0644 {} $(prefix)/usr/share/perl5/{}
	install -m 0644 debconf.py $(prefix)/usr/lib/python2.3/site-packages/
	install -m 0644 debconf.py $(prefix)/usr/lib/python2.4/site-packages/
	install -m 0644 debconf.py $(prefix)/usr/lib/python2.5/site-packages/
	# Special case for back-compatability.
	install -d $(prefix)/usr/share/perl5/Debian/DebConf/Client
	cp Debconf/Client/ConfModule.stub \
		$(prefix)/usr/share/perl5/Debian/DebConf/Client/ConfModule.pm
	# Other libs and helper stuff.
	install -m 0644 confmodule.sh confmodule $(prefix)/usr/share/debconf/
	install frontend $(prefix)/usr/share/debconf/
	install -m 0755 transition_db.pl fix_db.pl $(prefix)/usr/share/debconf/
	# Install essential programs.
	install -d $(prefix)/usr/sbin $(prefix)/usr/bin
	find . -maxdepth 1 -perm +100 -type f -name 'dpkg-*' | \
		xargs -i install {} $(prefix)/usr/sbin
	find . -maxdepth 1 -perm +100 -type f -name debconf -or -name debconf-show -or -name debconf-copydb -or -name debconf-communicate -or -name debconf-set-selections -or -name debconf-apt-progress -or -name debconf-escape | \
		xargs -i install {} $(prefix)/usr/bin
	# Now strip all pod documentation from all .pm files and scripts.
	find $(prefix)/usr/share/perl5/ $(prefix)/usr/sbin		\
	     $(prefix)/usr/share/debconf/frontend 			\
	     $(prefix)/usr/share/debconf/*.pl $(prefix)/usr/bin		\
	     -name '*.pl' -or -name '*.pm' -or -name 'dpkg-*' -or	\
	     -name 'debconf-*' -or -name 'frontend' | 			\
	     grep -v Client/ConfModule | $(MUNGE)
	find $(prefix) -name '*.bak' | xargs rm -f

demo:
	PERL5LIB=. ./frontend samples/demo

=== po/Makefile ===
# List here all source files with translatable strings.
POTFILES=$(sort $(shell find ../Debconf -type f -name \*.pm)) \
	../dpkg-* ../debconf-* ../debconf

POFILES=$(wildcard *.po)
MOFILES=$(POFILES:.po=.mo)

all: debconf.pot $(MOFILES)

install: all
	for file in $(MOFILES); do \
		lang=`echo $$file | sed 's/\.mo//'`; \
		install -d $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/; \
		install -m 0644 $$file $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/debconf.mo; \
	done

debconf.pot: $(POTFILES)
	@echo "Rebuilding the pot file"
	xgettext $(POTFILES) -o debconf.pot -Lperl

clean:
	rm -f $(MOFILES) messages messages.mo

%.mo: %.po
	msgfmt -o $@ $<

%.po: debconf.pot
	@echo -n "Merging debconf.pot and $@"
	@msgmerge $@ debconf.pot -o $@.new
# Typically all that changes was a date or line number. I'd prefer not to
# commit such changes, so detect and ignore them.
	@if [ "`diff $@ $@.new | grep '[<>]' | grep -v '[<>] #:' | wc -l`" -ne 2 ]; then \
		mv -f $@.new $@; \
	else \
		rm -f $@.new; \
	fi
	@msgfmt --statistics $@

check:
	@for file in $(POFILES); do \
		lang=`echo $$file | sed 's/\.po//'`; \
		printf "$$lang: "; \
		msgfmt -o /dev/null -c -v --statistics $$lang.po;\
	done

=== debian/changelog ===
debconf (1.5.14ubuntu1) gutsy; urgency=low

  * Backport from trunk:
    - Don't use dh_python's postinst fragment (and copy its prerm fragment
      by hand). debconf is too important to fail because some random python
      module wouldn't compile.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Oct 2007 11:03:48 +0100

debconf (1.5.14) unstable; urgency=low

  [ Colin Watson ]
  * Retry flock() on EINTR. Failing that, print the errno if flock() fails
    so that we have a better chance of working out why.
  * Install Python confmodule for python2.5 as well.
  * Add confmodule bindings for the DATA command.
  * Somebody looking at confmodule(3) probably actually wants
    debconf-devel(7). Add a reference in SEE ALSO.
  * Make sure that apt status commands and debconf protocol commands under
    debconf-apt-progress are properly interleaved. Closes: #425397

  [ Debconf Translations ]
  * Marathi added. Closes: #416805
  * Basque updated. Closes: #418897

  [ Programs Translations ]
  * Marathi added. Closes: #416805
  * Punjabi added. Closes: #427327
  * Basque updated. Closes: #418902
  * Esperanto added. Closes: #428275

  [ Joey Hess ]
  * Increase selectspacer to 13 for dialog. May be needed due to changes in
    new versions of dialog.
  * Update url to web site in README.

  [ Trent Buck ]
  * Fix bash_completion syntax. Closes: #425676

 -- Colin Watson <cjwatson@debian.org>  Wed, 25 Jul 2007 14:58:39 +0100

=== debian/control ===
Source: debconf
Section: admin
Priority: optional
Maintainer: Colin Watson <cjwatson@ubuntu.com>
XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
Standards-Version: 3.7.2
Build-Depends-Indep: perl, python, gettext (>= 0.13), libintl-perl, libqt-perl
Build-Depends: debhelper (>= 5), po-debconf, po4a (>= 0.23)
XS-Vcs-Svn: svn://svn.debian.org/debconf/trunk/src/debconf

Package: debconf
Priority: important
Pre-Depends: perl-base (>= 5.6.1-4)
Conflicts: cdebconf (<< 0.96), debconf-tiny, apt (<< 0.3.12.1), menu (<= 2.1.3-1), dialog (<< 0.9b-20020814-1), whiptail (<< 0.51.4-11), whiptail-utf8 (<= 0.50.17-13), debconf-utils (<< 1.3.22)
Provides: debconf-2.0
Replaces: debconf-tiny
Depends: debconf-i18n | debconf-english
Recommends: apt-utils (>= 0.5.1)
Suggests: debconf-doc, debconf-utils, whiptail | dialog | gnome-utils, libterm-readline-gnu-perl, libgnome2-perl, libqt-perl, libnet-ldap-perl, perl
Architecture: all
Description: Debian configuration management system
 Debconf is a configuration management system for debian packages. Packages
 use Debconf to ask questions when they are installed.

Package: debconf-i18n
Priority: important
Conflicts: debconf-english, debconf-utils (<< 1.3.22)
Replaces: debconf (<< 1.3.0), debconf-utils (<< 1.3.22)
Architecture: all
Depends: debconf, liblocale-gettext-perl, libtext-iconv-perl, libtext-wrapi18n-perl, libtext-charwidth-perl
Description: full internationalization support for debconf
 This package provides full internationalization for debconf, including
 translations into all available languages, support for using translated
 debconf templates, and support for proper display of multibyte character
 sets.

Package: debconf-english
Priority: extra
Conflicts: debconf-i18n
Architecture: all
Depends: debconf
Description: small footprint English-only debconf
 This package is an alternative to the debconf-i18n package, intended for
 systems that are administered only in English, and low-footprint systems.
 If you install this package, debconf will not work properly in other
 languages, but you'll save half a megabyte of disk space.

Package: debconf-doc
Conflicts: debconf (<< 0.3.10)
Suggests: debian-policy (>= 3.5)
Section: doc
Architecture: all
Description: debconf documentation
 This package contains lots of additional documentation for Debconf,
 including the debconf user's guide, documentation about using different
 backend databases via the /etc/debconf.conf file, and a developer's guide
 to debconf.

Package: debconf-utils
Section: devel
Depends: debconf (>= 1.3.20), ${misc:Depends}
Conflicts: debconf (<< 0.1.0)
Replaces: debconf (<< 0.1.0)
Architecture: all
Description: debconf utilities
 This package contains some small utilities for debconf developers.

## debconf 1.5.20

=== debian/changelog ===
debconf (1.5.20) unstable; urgency=low

  * Use signal names rather than numbers in debconf-apt-progress.
  * Fix use of 'next' rather than 'return' in debconf-apt-progress
    handle_status.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Mar 2008 14:38:28 +0000

debconf (1.5.19) unstable; urgency=low

  * Add a hack to the teletype frontend to allow typing "q" at a "[More]"
    prompt and break out of the 'pager'. Useful when ucf's diff turns out
    to be many many pages in length. There's no UI indication that "q" works
    here, but it's the same as in other pagers like less.
  * Add (experimental, nonstandard) implementation of the X_LOADTEMPLATEFILE
    protocol command. Should be compatible with cdebconf's. Closes: #427091

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Jan 2008 19:59:34 -0500

debconf (1.5.18) unstable; urgency=low

  [ Søren Hansen ]
  * debconf-apt-progress sometimes gets captured by buggy daemons, causing
    tasksel to hang because $debconf_command_eof never becomes true.
    STATUS_READ should be the last fd to close, so checking $status_eof is
    sufficient (LP: #141601).

  [ Joey Hess ]
  * debconf(1): Document that this command is rarely used. Closes: #457598
  * Add missing newlines to some error messages. Closes: #457609

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Jan 2008 14:08:27 +0000

debconf (1.5.17) unstable; urgency=low

  * Partial support for cancelable progress bars. While the dialog frontend
    cannot support them due to limitations in whiptail(1) and dialog(1),
    and I haven't implemented support in frontends like gnome or kde,
    the confmodule does now check to see if the frontend's progress bar
    methods return nonzero, and will pass that nonzero status along
    to the caller.
  * Implemented support for cancelable progress bars in the passthrough
    frontend.
  * debconf-apt-progress: Check for the progress bar being canceled, and if
    this happens, try to kill the apt process. Users of debconf-apt-progress
    that want a cancelable progress bar can thus just set the progresscancel
    capb before calling it and everything should work. Of course, this should
    only be done when the apt operation being run is one that can be cleanly
    killed.
  * debconf-apt-progress: Notice if the child exited abnormally, and exit
    nonzero.
  * Avoid setting a default title of "Configuring " when starting up the
    frontend if no package name could be determined.
  * Fix the passthrough frontend to not clear the capb on startup.
  * debconf-apt-progress: Add --dlwaypoint option.

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Nov 2007 01:57:15 -0500

debconf (1.5.16) unstable; urgency=low

  * Drop python 2.3. Closes: #447864
  * debconf-apt-progress: Add --no-progress option intended to be used
    by apt-install in d-i.

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Oct 2007 06:01:13 -0400

debconf (1.5.15) unstable; urgency=low

  [ Colin Watson ]
  * Add manual page description for debconf-set-selections. Closes: #435954
  * Ignore AttributeError in the Python DebconfCommunicator destructor, so
    that you don't get a confusing exception message if you give the wrong
    number of arguments to the constructor.
  * Don't use dh_python's postinst fragment (and copy its prerm fragment by
    hand). debconf is too important to fail because some random python
    module wouldn't compile. Closes: #225384, #293820

  [ Debconf Translations ]
  * Nepali updated. Closes: #435388

  [ Programs Translations ]
  * Nepali added. Closes: #435389

  [ Joey Hess ]
  * Applied Davor Ocelic's patch adding a keybykey option to the LDAP
    DbDriver. Closes: #440857
    (Note that it currently has some minor uninitialised value warnings.)
  * TERM isn't set if run from synaptic, avoid uninitialised value in Readline
    frontend. Closes: #307568

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Oct 2007 21:26:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Colin Watson <cjwatson@ubuntu.com>
-XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
+Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 Build-Depends-Indep: perl, python, gettext (>= 0.13), libintl-perl, libqt-perl
 Build-Depends: debhelper (>= 5), po-debconf, po4a (>= 0.23)
-XS-Vcs-Svn: svn://svn.debian.org/debconf/trunk/src/debconf
+Vcs-Svn: svn://svn.debian.org/debconf/trunk/src/debconf
 
 Package: debconf
 Priority: important

## debconf 1.5.23ubuntu2

=== debian/changelog ===
debconf (1.5.23ubuntu2) intrepid; urgency=low

  * Gnome.pm:
    - On release upgrades, do not show the "Cancel" button and hide 
      the close button in the main window. "Cancel" (or close) 
      during a install will make the maintainer script fail so its 
      not desirable.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Oct 2008 09:50:40 +0200

debconf (1.5.23ubuntu1) intrepid; urgency=low

  * Backport from trunk:
    - Fall back to untranslated fields if asking explicitly for any
      nonexistent translated field, not just Choices-C. For example, asking
      for Choices-en.UTF-8 should fall back to Choices if Choices-en.UTF-8
      doesn't exist. LP: #271652
    - Remove some dead code in Debconf::Template::AUTOLOAD.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Sep 2008 01:59:06 +0100

debconf (1.5.23) unstable; urgency=low

  [ Manpages Translations ]
  * Russian updated. Closes: #482288
  * French updated.
  * German added. Closes: #486869

  [ Debconf translations ]
  * Macedonian. Closes: #485993
  * Romanian. Closes: #488530
  * Korean. Closes: #491515

  [ Programs translations ]
  * Catalan. Closes: #486714
  * Romanian. Closes: #488530
  * Korean. Closes: #491515

  [ Joey Hess ]
  * Typo. Closes: #486870
  * Disable Russian man pages until the encoding issue affecting them can be
    fixed.

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jul 2008 00:18:49 -0400

debconf (1.5.22) unstable; urgency=low

  * Improve LDAP KeyByKey option by setting the LDAP search base to the exact
    key that is requested. Patch from Davor Ocelic. 
  * Initial support for storing templates database in LDAP. (i18n not
    supported). Patch from Davor Ocelic. Closes: #477531

  [ Manpages Translations ]
  * Russian updated. Closes: #462780

  [ Debconf Translations ]
  * Bulgarian updated.
  * Polish updated. Closes: #478041

  [ Programs Translations ]
  * Bulgarian added. Closes: #478431

 -- Joey Hess <joeyh@debian.org>  Wed, 14 May 2008 19:36:48 -0400

debconf (1.5.21) unstable; urgency=low

  * Fix method call in LDAP dbdriver. Closes: #475545

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Apr 2008 16:55:08 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
+Maintainer: Colin Watson <cjwatson@ubuntu.com>
+XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Build-Depends-Indep: perl, python, gettext (>= 0.13), libintl-perl, libqt-perl
 Build-Depends: debhelper (>= 5), po-debconf, po4a (>= 0.23)
-Vcs-Svn: svn://svn.debian.org/debconf/trunk/src/debconf
+XS-Original-Vcs-Svn: svn://svn.debian.org/debconf/trunk/src/debconf
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debconf/ubuntu
 
 Package: debconf
 Priority: important

## debconf 1.5.24

=== Makefile ===
--- 
+++ 
@@ -48,13 +48,12 @@
 	# Make module directories.
 	find Debconf -type d |grep -v CVS | \
 		xargs -i install -d $(prefix)/usr/share/perl5/{}
-	install -d $(prefix)/usr/lib/python2.3/site-packages/ \
+	install -d \
 		$(prefix)/usr/lib/python2.4/site-packages/ \
 		$(prefix)/usr/lib/python2.5/site-packages/
 	# Install modules.
 	find Debconf -type f -name '*.pm' |grep -v CVS | \
 		xargs -i install -m 0644 {} $(prefix)/usr/share/perl5/{}
-	install -m 0644 debconf.py $(prefix)/usr/lib/python2.3/site-packages/
 	install -m 0644 debconf.py $(prefix)/usr/lib/python2.4/site-packages/
 	install -m 0644 debconf.py $(prefix)/usr/lib/python2.5/site-packages/
 	# Special case for back-compatability.

=== debian/changelog ===
debconf (1.5.24) unstable; urgency=low

  [ Joey Hess ]
  * debconf(7): Clarify reason for libterm-readline-gnu-perl being recommended
    for users of readline frontend. Closes: #497357

  [ Manpages translations ]
  * Updated german man page translation. Closes: #492370
  * German proofread by  Helge Kreutzmann. Copyright fixed to include
    Florian Rehnisch
  * Corrected French manpages translation wrt "interactive".
    Closes: #496555

  [ Debconf translations ]
  * Hindi updated.
  * Greek updated. Closes: #498580

  [ Programs translations ]
  * Hindi updated.
  * Greek updated. Closes: #498577

  [ Joey Hess ]
  * debconf.7: Remove whitespace in manrefs. Closes: #498446

  [ Colin Watson ]
  * Fall back to untranslated fields if asking explicitly for any
    nonexistent translated field, not just Choices-C. For example, asking
    for Choices-en.UTF-8 should fall back to Choices if Choices-en.UTF-8
    doesn't exist. LP: #271652
  * Remove some dead code in Debconf::Template::AUTOLOAD.
  * Add an AUTHOR section to debconf-escape(1) to make the German po4a
    translations work better.
  * Add missing =back to debconf-apt-progress(1)'s OPTIONS section.
  * Use =head1 in German POD addendum, not =HEAD1. Together with switching
    output to UTF-8 (below), this fixes various problems with German manual
    page output. Closes: #492368
  * Recode all manual pages to UTF-8 and re-enable Russian manual page
    generation, now that pod2man has a --utf8 option. Requires perl (>=
    5.10.0-16) as bug #500210 broke the Russian pages. Closes: #485756

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2008 18:07:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Colin Watson <cjwatson@ubuntu.com>
-XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
+Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.8.0
-Build-Depends-Indep: perl, python, gettext (>= 0.13), libintl-perl, libqt-perl
+Build-Depends-Indep: perl (>= 5.10.0-16), python, gettext (>= 0.13), libintl-perl, libqt-perl
 Build-Depends: debhelper (>= 5), po-debconf, po4a (>= 0.23)
-XS-Original-Vcs-Svn: svn://svn.debian.org/debconf/trunk/src/debconf
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debconf/ubuntu
+Vcs-Svn: svn://svn.debian.org/debconf/trunk/src/debconf
 
 Package: debconf
 Priority: important

=== debian/rules ===
#!/usr/bin/make -f

# Ensure that builds are self-hosting, which means I have to use the .pm
# files in this package, not any that may be on the system.
export PERL5LIB=.

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	# This will guarantee that PO files are always synced with templates
	debconf-updatepo
	dh_clean debian/debconf.changelog

binary-indep:
binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) prefix=`pwd`/debian/debconf-utils install-utils
	$(MAKE) prefix=`pwd`/debian/debconf-i18n install-i18n
	$(MAKE) prefix=`pwd`/debian/debconf install-rest

	# Link doc dirs where appropriate.
	for p in debconf-utils debconf-i18n debconf-english; do \
		dh_link -p $$p usr/share/doc/debconf usr/share/doc/$$p; \
	done

	# Don't modify postrm, I purge differently than normal packages
	# using me
	dh_installdebconf -n
	
	dh_installdocs
	dh_installdirs etc/apt/apt.conf.d/ /etc/bash_completion.d/
	cp debian/apt.conf debian/debconf/etc/apt/apt.conf.d/70debconf
	cp bash_completion debian/debconf/etc/bash_completion.d/debconf
	dh_installman doc/man/gen/dpkg-*configure.8 \
		doc/man/gen/debconf-show.1 doc/man/gen/debconf-copydb.1 \
		doc/man/gen/debconf.1 doc/man/gen/debconf-communicate.1 \
		doc/man/gen/debconf-set-selections.1 \
		doc/man/gen/debconf-apt-progress.1 \
		doc/man/gen/debconf-escape.1
	dh_installman -p debconf-i18n doc/man/gen/dpkg-*.*.8 \
		doc/man/gen/debconf-show*.*.1 doc/man/gen/debconf-copydb*.*.1 \
		doc/man/gen/debconf.*.1 doc/man/gen/debconf-communicate.*.1 \
		doc/man/gen/debconf-set-selections.*.1 \
		doc/man/gen/debconf-apt-progress.*.1 \
		doc/man/gen/debconf-escape.*.1
	dh_installman -p debconf-doc doc/man/confmodule*.3 doc/man/debconf*.7 \
		doc/man/debconf.conf*.5 doc/man/gen/Debconf::Client::ConfModule*
	dh_installman -p debconf-utils `find doc/man/gen/debconf-* | grep -v debconf-show | grep -v debconf-copydb | grep -v debconf-set-selections | grep -v debconf-communicate | grep -v debconf-apt-progress | grep -v debconf-escape`
	dh_installexamples -pdebconf-doc samples/*
	
	# Changelog reduction hack for debconf. Only include top 100 entries.
	perl -ne '$$c++ if /^debconf /; last if $$c > 100 ; print $$_' \
		< debian/changelog > debian/debconf.changelog

	dh_python -n
	dh_installchangelogs
	dh_compress -X demo.templates -X tutorial.templates
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## debconf 1.5.26ubuntu3

=== debian/changelog ===
debconf (1.5.26ubuntu3) jaunty; urgency=low

  * debconf-apt-progress: DEBIAN_HAS_FRONTEND is always set here at some
    point, even if only on the second run after starting debconf, so we need
    to invert our handling of the check for whether we started the debconf
    frontend ourselves (LP: #347648).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Mar 2009 03:22:29 +0000

debconf (1.5.26ubuntu2) jaunty; urgency=low

  * debconf-apt-progress: If we didn't start the debconf frontend ourselves,
    then it's unlikely that the passthrough child will be able to start
    debconf normally, so tell it to use a pipe database in that case and
    rely on passthrough to save answers (LP: #337306).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 21 Mar 2009 00:43:56 +0000

debconf (1.5.26ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons during release
      upgrades.  Debian Bug: #501767.
    - Build for python2.6.
    - Convert debconf.py for python3.0 and install.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Mar 2009 11:03:24 +0000

debconf (1.5.26) unstable; urgency=low

  * Use 'key not in dict' rather than 'not dict.has_key(key)' in debconf.py;
    dict.has_key is deprecated in Python 2.6.
  * debconf-apt-progress: Don't send STOP if we didn't start the debconf
    frontend ourselves; in that case the application calling us should
    arrange to stop itself.
  * debconf.py: Use subprocess rather than popen2 if it's available. popen2
    is deprecated in Python 2.6.

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Mar 2009 16:33:57 +0000

debconf (1.5.25) unstable; urgency=low

  [ Joey Hess ]
  * debconf-devel(7): Fix state machine example to handle case where user
    backs out of first question.

  [ Colin Watson ]
  * Support overriding frontend's package name determination (used to set
    the owner) using the DEBCONF_PACKAGE environment variable. Useful for
    applications driving debconf other than by way of package installation.
  * Refer to po-debconf(7) rather than its README (thanks, James R. Van
    Zandt). Closes: #505392
  * Refer to debconf-show(1) from dpkg-reconfigure(8) for those who just
    want to see the current configuration. Closes: #506070
  * Only use -C fields when explicitly disabling internationalisation within
    debconf (or when DEBCONF_C_VALUES=true), not merely when in the C
    locale. Based on a patch by Frans Pop, for which thanks! Closes: #476873
  * Force fallback to the default template if we encounter 'en' in the
    locale list and no language-specific template for English was
    found,since English text is usually found in a plain field rather than
    something like Choices-en.UTF-8. This allows you to override other
    locale variables for a different language with LANGUAGE=en. Thanks again
    to Frans Pop. Closes: #496631

  [ Manpages translations ]
  * Completed german man page translation.

  [ Debconf translations ]
  * Corrections in german translation with apologies for
    forgetting this bug report. Closes: #462302

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Feb 2009 00:04:02 +0000

debconf (1.5.24ubuntu4) jaunty; urgency=low

  * Build for python2.6.
  * Convert debconf.py for python3.0 and install.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Feb 2009 11:23:16 +0100

debconf (1.5.24ubuntu3) jaunty; urgency=low

  * Backport from trunk:
    - Only use -C fields when explicitly disabling internationalisation
      within debconf (or when DEBCONF_C_VALUES=true), not merely when in the
      C locale. Based on a patch by Frans Pop, for which thanks! Closes:
      #476873
    - Force fallback to the default template if we encounter 'en' in the
      locale list and no language-specific template for English was
      found,since English text is usually found in a plain field rather than
      something like Choices-en.UTF-8. This allows you to override other
      locale variables for a different language with LANGUAGE=en. Thanks
      again to Frans Pop.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Jan 2009 15:30:16 +0000

debconf (1.5.24ubuntu2) jaunty; urgency=low

  * Support overriding frontend's package name determination (used to set
    the owner) using the DEBCONF_PACKAGE environment variable.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Dec 2008 14:48:47 +0000

debconf (1.5.24ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons during release
      upgrades.  Debian Bug: #501767.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 05 Nov 2008 07:07:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
+Maintainer: Colin Watson <cjwatson@ubuntu.com>
+XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.8.0
 Build-Depends-Indep: perl (>= 5.10.0-16), python, gettext (>= 0.13), libintl-perl, libqt-perl
 Build-Depends: debhelper (>= 5), po-debconf, po4a (>= 0.23)
-Vcs-Svn: svn://svn.debian.org/debconf/trunk/src/debconf
+XS-Debian-Vcs-Svn: svn://svn.debian.org/debconf/trunk/src/debconf
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debconf/ubuntu
 
 Package: debconf
 Priority: important

## debconf 1.5.27ubuntu2

=== Makefile ===
--- 
+++ 
@@ -49,13 +49,15 @@
 	find Debconf -type d |grep -v CVS | \
 		xargs -i install -d $(prefix)/usr/share/perl5/{}
 	install -d \
-		$(prefix)/usr/lib/python2.4/site-packages/ \
-		$(prefix)/usr/lib/python2.5/site-packages/
+		$(prefix)/usr/lib/python2.5/site-packages/ \
+		$(prefix)/usr/lib/python2.6/dist-packages/ \
+		$(prefix)/usr/lib/python3.0/dist-packages/
 	# Install modules.
 	find Debconf -type f -name '*.pm' |grep -v CVS | \
 		xargs -i install -m 0644 {} $(prefix)/usr/share/perl5/{}
-	install -m 0644 debconf.py $(prefix)/usr/lib/python2.4/site-packages/
 	install -m 0644 debconf.py $(prefix)/usr/lib/python2.5/site-packages/
+	install -m 0644 debconf.py $(prefix)/usr/lib/python2.6/dist-packages/
+	install -m 0644 debconf3.py $(prefix)/usr/lib/python3.0/dist-packages/debconf.py
 	# Special case for back-compatability.
 	install -d $(prefix)/usr/share/perl5/Debian/DebConf/Client
 	cp Debconf/Client/ConfModule.stub \

=== debian/changelog ===
debconf (1.5.27ubuntu2) karmic; urgency=low

  * Backport from trunk:
    - Remove unused 'use I18N::Langinfo' from Debconf::Element::Gnome
      (LP: #387112).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 02 Oct 2009 10:11:27 +0100

debconf (1.5.27ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons during release
      upgrades.  Debian Bug: #501767.
    - Build for python2.6.
    - Convert debconf.py for python3.0 and install.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Jul 2009 12:57:05 +0100

debconf (1.5.27) unstable; urgency=low

  * Fix Plural-Forms header in Tagalog translation.
  * debconf-apt-progress: If we didn't start the debconf frontend ourselves,
    then it's unlikely that the passthrough child will be able to start
    debconf normally, so tell it to use a pipe database in that case and
    rely on passthrough to save answers (LP: #337306).
  * debconf-apt-progress: DEBIAN_HAS_FRONTEND is always set here at some
    point, even if only on the second run after starting debconf, so we need
    to invert our handling of the check for whether we started the debconf
    frontend ourselves (LP: #347648).
  * Minor GET optimisation: fetch the question value only once rather than
    twice.
  * debconf-apt-progress: If we get cancelled very early on before managing
    to start the process we're controlling, make sure that we don't carry on
    and start it anyway, and that we still return 30.
  * debconf-apt-progress: Handle cancellation right at the end. We don't
    have a process to kill at this point, but we should at least return the
    correct exit code.

  [ Manpages translations ]
  * Completed german man page translation. Closes: #518396
  * Completed French man page translation. Closes: #520787

  [ Debconf translations ]
  * Added Asturian. Closes: #518977
  * Added Bengali

  [ Programs translations ]
  * Added Asturian. Closes: #518977
  * Added Bengali

 -- Colin Watson <cjwatson@debian.org>  Fri, 03 Jul 2009 14:36:50 +0100

## debconf 1.5.28ubuntu4

=== Makefile ===
--- 
+++ 
@@ -8,18 +8,14 @@
 		print $$_ \
 	'
 
-all: Debconf/FrontEnd/Kde/WizardUi.pm
+all:
 	$(MAKE) -C doc
 	$(MAKE) -C po
-
-Debconf/FrontEnd/Kde/WizardUi.pm: Debconf/FrontEnd/Kde/WizardUi.ui
-	LC_ALL=C puic $< |sed 's/package WizardUi/package Debconf::FrontEnd::Kde::WizardUi/' > $@
 
 clean:
 	find . \( -name \*~ -o -name \*.pyc -o -name \*.pyo \) | xargs rm -f
 	$(MAKE) -C doc clean
 	$(MAKE) -C po clean
-	rm -f Debconf/FrontEnd/Kde/WizardUi.pm
 
 # Does not attempt to install documentation, as that can be fairly system
 # specific.
@@ -49,15 +45,13 @@
 	find Debconf -type d |grep -v CVS | \
 		xargs -i install -d $(prefix)/usr/share/perl5/{}
 	install -d \
-		$(prefix)/usr/lib/python2.5/site-packages/ \
 		$(prefix)/usr/lib/python2.6/dist-packages/ \
-		$(prefix)/usr/lib/python3.0/dist-packages/
+		$(prefix)/usr/lib/python3.1/dist-packages/
 	# Install modules.
 	find Debconf -type f -name '*.pm' |grep -v CVS | \
 		xargs -i install -m 0644 {} $(prefix)/usr/share/perl5/{}
-	install -m 0644 debconf.py $(prefix)/usr/lib/python2.5/site-packages/
 	install -m 0644 debconf.py $(prefix)/usr/lib/python2.6/dist-packages/
-	install -m 0644 debconf3.py $(prefix)/usr/lib/python3.0/dist-packages/debconf.py
+	install -m 0644 debconf3.py $(prefix)/usr/lib/python3.1/dist-packages/debconf.py
 	# Special case for back-compatability.
 	install -d $(prefix)/usr/share/perl5/Debian/DebConf/Client
 	cp Debconf/Client/ConfModule.stub \

=== debian/changelog ===
debconf (1.5.28ubuntu4) lucid; urgency=low

  * Build for python3.1 rather than python3.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 Apr 2010 15:13:10 +0100

debconf (1.5.28ubuntu3) lucid; urgency=low

  * Stop building for python2.5 (LP: #558453).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 08 Apr 2010 19:13:30 +0100

debconf (1.5.28ubuntu2) lucid; urgency=low

  * Gnome.pm: Do not show "Cancel" or "Close" buttons 
    so that the maintainer scripts do not break
    (LP: #517813 #517810 #517720)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Feb 2010 15:52:59 -0800

debconf (1.5.28ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons during release
      upgrades.  Debian Bug: #501767.
    - Build for python2.6, and not for python2.4.
    - Convert debconf.py for python3.0 and install.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Nov 2009 16:24:10 +0000

debconf (1.5.28) unstable; urgency=low

  [ Colin Watson ]
  * Put debconf-i18n in Section: localization, to match overrides.
  * Remove unused subcommand parameter from
    Debconf::FrontEnd::Passthrough::progress_data().
  * Override Lintian warning about debconf's postrm not calling db_purge;
    debconf itself is a special case here.
  * Declare "Media change" string as needing translation. (apt gives us
    translated messages for substitution into the extended description here,
    but not for the short description.)
  * Remove unused 'use I18N::Langinfo' from Debconf::Element::Gnome
    (LP: #387112).
  * Upgrade to debhelper v7. In the process, convert to python-central with
    DH_PYCENTRAL=nomove (since we need our modules to be usable even when
    debconf is unconfigured; at the moment, the effect of this use of
    python-central is only to add a Python-Versions control field).

  [ Christian Perrier ]
  * Add translation of "-a" in "man dpkg-reconfigure".
    Patch by Simon Paillard.
  * Suggest reporting bugs related to French translations in the French
    l10n mailing list. Patch by Simon Paillard.
  * French debconf translation update

  [ Joey Hess ]
  * document --terse in relevant man pages and show --no-reload in
    dpkg-reconfigure usage. Closes: #548994
  * German man page addendum fixed. Closes: #546789
  * Dropped the KDE frontend. libqt-perl is uninstallable, and
    work on the new qt4 perl bindings and a new KDE frontend based on
    them is not ready. If the KDE frontend is specified, debconf will
    now attempt to fall back to the Gnome frontend, or failing that,
    to dialog. Closes: #522580
  * Enable set -e in debconf-utils postinst.

  [ Programs translation updates ]
  * Portuguese (Miguel Figueiredo). Closes: #551379

  [ Debconf translation updates ]
  * Asturian (Marcos Alvarez Costales).
  * Bulgarian (Damyan Ivanov).
  * Finnish (Tapio Lehtonen).
  * Czech (Miroslav Kure).
  * Esperanto (Felipe Castro).
  * Simplified Chinese (Carlos Z.F. Liu).
  * Slovak (Ivan Masár).
  * German (Holger Wansing).
  * Bengali (Md. Rezwan Shahid).
  * Basque (Piarres Beobide).
  * Japanese (Kenshi Muto).
  * Russian (Yuri Kozlov).

 -- Joey Hess <joeyh@debian.org>  Mon, 19 Oct 2009 20:14:23 -0400

## debconf 1.5.32ubuntu3

=== Makefile ===
--- 
+++ 
@@ -46,12 +46,12 @@
 		xargs -i install -d $(prefix)/usr/share/perl5/{}
 	install -d \
 		$(prefix)/usr/lib/python2.6/dist-packages/ \
-		$(prefix)/usr/lib/python3.1/dist-packages/
+		$(prefix)/usr/lib/python3/dist-packages/
 	# Install modules.
 	find Debconf -type f -name '*.pm' |grep -v CVS | \
 		xargs -i install -m 0644 {} $(prefix)/usr/share/perl5/{}
 	install -m 0644 debconf.py $(prefix)/usr/lib/python2.6/dist-packages/
-	install -m 0644 debconf3.py $(prefix)/usr/lib/python3.1/dist-packages/debconf.py
+	install -m 0644 debconf3.py $(prefix)/usr/lib/python3/dist-packages/debconf.py
 	# Special case for back-compatability.
 	install -d $(prefix)/usr/share/perl5/Debian/DebConf/Client
 	cp Debconf/Client/ConfModule.stub \

=== debian/changelog ===
debconf (1.5.32ubuntu3) maverick; urgency=low

  * Don't use dh_python[23] to install the debconf.py module.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Sep 2010 20:19:13 +0200

debconf (1.5.32ubuntu2) maverick; urgency=low

  * Move the debconf module for python3 into /usr/lib/python3/dist-modules.
  * Remove the build dependency on python-central, use dh_python[23].

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Sep 2010 17:33:43 +0200

debconf (1.5.32ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
      maintainer scripts.
    - Build for python2.6, and not for python2.4 or python2.5.
    - Convert debconf.py for python3.1 and install.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 May 2010 17:16:39 +0100

debconf (1.5.32) unstable; urgency=low

  * File: Avoid using filetest to test if database can be written to, as that
    is not in perl-base. Instead, try to open database for read+write,
    and if it fails, open readonly without locking. Closes: #577632

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Apr 2010 13:53:46 -0400

debconf (1.5.31) unstable; urgency=low

  [ Colin Watson ]
  * Squash chomp warning in Debconf::FrontEnd::Teletype on EOF or error.
  * Test database writability more carefully to avoid breaking use of
    debconf under fakeroot.  Closes: #577299

  [ Joey Hess ]
  * Fix uninitialized value warning if debconf -f is not followed by
    another parameter. Closes: #575870

  [ Programs translation updates ]
  * Simplified Chinese (soyi).

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 Apr 2010 22:05:07 +0100

debconf (1.5.30) unstable; urgency=low

  * Don't open file databases read-write if the database is read-only, or if
    the file isn't writable (e.g. running debconf as non-root).  Closes:
    #575070

 -- Colin Watson <cjwatson@debian.org>  Tue, 23 Mar 2010 10:18:00 +0000

debconf (1.5.29) unstable; urgency=low

  [ Programs translation update ]
  * Bulgarian (Damyan Ivanov). Closes: #558085
  * German (Helge Kreutzmann)
  * Portuguese (Miguel Figueiredo). Closes: #569254
  * Hebrew (Lior Kaplan).
  * Japanese (Kenshi Muto). Closes: #573057
  * Finnish (Tommi Vainikainen). Closes: #573053
  * Vietnamese (Clytie Siddall). Closes: #573122
  * Polish (Marcin Owsiany). Closes: #573124
  * Russian (Yuri Kozlov). Closes: #573195
  * Czech (Miroslav Kure). Closes: #573984
  * Asturian (Marcos).
  * Dutch (Frans Pop).
  * Swedish (Daniel Nylander).
  * Khmer (Khoem Sokhem).
  * Bengali (Md. Rezwan Shahid).
  * Indonesian (Parlin Imanuel).
  * Catalan (Guillem Jover).
  * Esperanto (Felipe Castro).
  * Traditional Chinese (Kan-Ru Chen).

  [ Manpage translation updates ]
  * French (Florentin Duneau). Closes: #573867
  * German (Helge Kreutzmann)
  * Russian (Yuri Kozlov). Closes: #556275, #573202

  [ Debconf translations ]
  * Bengali (Sadia Afroz).
  * Italian (Milo Casagrande). Closes: #559500
  * Norwegian Bokmål (Hans Fredrik Nordhaug).  Closes: #558659
  * Swedish (Martin Bagge).  Closes: #551945
  * Simplified Chinese (苏运强).
  * Thai (Theppitak Karoonboonyanan).  Closes: #568368
  * Vietnamese (Clytie Siddall).  Closes: #568976
  * Gujarati (Kartik Mistry).  Closes: #571680
  * Slovenian (Vanja Cvelbar).  Closes: #570345

  [ Joey Hess ]
  * debconf-devel(7): Note why SETTITLE is generally used rather than TITLE.
    Closes: #560323 (Thanks, Frans Pop)
  * DbDriver::File: Open file read-write so exclusive flock locking can be
    done portably. Fixes issue on Solaris. (Thanks, James Lee)
    Closes: #563577
  * Prevent dialog from escaping "\n" to a liternal newline in the text
    it displays by doing some tricky things with UTF-8 zero-width characters.
    Closes: #566954 (Thanks, Ben Hutchings)

  [ Colin Watson ]
  * Build for Python 2.6. Closes: #574759

  [ Joey Hess ]
  * Clean up use of POSIX perl module, which exports a large amount
    of stuff by default. Closes: #574573

 -- Colin Watson <cjwatson@debian.org>  Sun, 21 Mar 2010 20:51:30 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
 XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.8.0
-Build-Depends-Indep: perl (>= 5.10.0-16), python, gettext (>= 0.13), libintl-perl, libqt-perl
-Build-Depends: debhelper (>= 5), po-debconf, po4a (>= 0.23)
+Standards-Version: 3.8.3
+Build-Depends-Indep: perl (>= 5.10.0-16), python, python-central (>= 0.6.11), gettext (>= 0.13), libintl-perl
+Build-Depends: debhelper (>= 7.0.50~), po-debconf, po4a (>= 0.23)
 XS-Debian-Vcs-Svn: svn://svn.debian.org/debconf/trunk/src/debconf
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debconf/ubuntu
+XS-Python-Version: 2.6, 3.1
 
 Package: debconf
 Priority: important
@@ -16,20 +17,22 @@
 Conflicts: cdebconf (<< 0.96), debconf-tiny, apt (<< 0.3.12.1), menu (<= 2.1.3-1), dialog (<< 0.9b-20020814-1), whiptail (<< 0.51.4-11), whiptail-utf8 (<= 0.50.17-13), debconf-utils (<< 1.3.22)
 Provides: debconf-2.0
 Replaces: debconf-tiny
-Depends: debconf-i18n | debconf-english
+Depends: debconf-i18n | debconf-english, ${misc:Depends}
 Recommends: apt-utils (>= 0.5.1)
-Suggests: debconf-doc, debconf-utils, whiptail | dialog | gnome-utils, libterm-readline-gnu-perl, libgnome2-perl, libqt-perl, libnet-ldap-perl, perl
+Suggests: debconf-doc, debconf-utils, whiptail | dialog | gnome-utils, libterm-readline-gnu-perl, libgnome2-perl, libnet-ldap-perl, perl
+XB-Python-Version: ${python:Versions}
 Architecture: all
 Description: Debian configuration management system
  Debconf is a configuration management system for debian packages. Packages
  use Debconf to ask questions when they are installed.
 
 Package: debconf-i18n
+Section: localization
 Priority: important
 Conflicts: debconf-english, debconf-utils (<< 1.3.22)
 Replaces: debconf (<< 1.3.0), debconf-utils (<< 1.3.22)
 Architecture: all
-Depends: debconf, liblocale-gettext-perl, libtext-iconv-perl, libtext-wrapi18n-perl, libtext-charwidth-perl
+Depends: debconf, liblocale-gettext-perl, libtext-iconv-perl, libtext-wrapi18n-perl, libtext-charwidth-perl, ${misc:Depends}
 Description: full internationalization support for debconf
  This package provides full internationalization for debconf, including
  translations into all available languages, support for using translated
@@ -40,7 +43,7 @@
 Priority: extra
 Conflicts: debconf-i18n
 Architecture: all
-Depends: debconf
+Depends: debconf, ${misc:Depends}
 Description: small footprint English-only debconf
  This package is an alternative to the debconf-i18n package, intended for
  systems that are administered only in English, and low-footprint systems.
@@ -50,6 +53,7 @@
 Package: debconf-doc
 Conflicts: debconf (<< 0.3.10)
 Suggests: debian-policy (>= 3.5)
+Depends: ${misc:Depends}
 Section: doc
 Architecture: all
 Description: debconf documentation

=== debian/rules ===
#! /usr/bin/make -f

# Ensure that builds are self-hosting, which means I have to use the .pm
# files in this package, not any that may be on the system.
export PERL5LIB=.

%:
	dh --with python-central $@

override_dh_auto_install:
	$(MAKE) prefix=`pwd`/debian/debconf-utils install-utils
	$(MAKE) prefix=`pwd`/debian/debconf-i18n install-i18n
	$(MAKE) prefix=`pwd`/debian/debconf install-rest

# Run dh_link earlier so that it has an opportunity to link documentation
# directories.
override_dh_installdocs:
	dh_link
	dh_installdocs

override_dh_installdebconf:
	# Don't modify postrm, I purge differently than normal packages
	# using me
	dh_installdebconf -n

override_dh_install:
	dh_install
	cp debian/apt.conf debian/debconf/etc/apt/apt.conf.d/70debconf
	cp bash_completion debian/debconf/etc/bash_completion.d/debconf

override_dh_installchangelogs:
	# Changelog reduction hack for debconf. Only include top 100 entries.
	perl -ne '$$c++ if /^debconf /; last if $$c > 100 ; print $$_' \
		< debian/changelog > debian/debconf.changelog
	dh_installchangelogs

override_dh_pycentral:
	# We use python-central for its nomove facility, so that debconf's
	# python modules are available even when debconf is unconfigured.
	DH_PYCENTRAL=nomove dh_pycentral -pdebconf -n

override_dh_compress:
	dh_compress -X demo.templates -X tutorial.templates
